%define is_ML3 %(grep -i "Asianux release 1" /etc/asianux-release > /dev/null 2>&1 && echo 1 || echo 0)
%define is_ML4 %(grep -i "Asianux release 2" /etc/asianux-release > /dev/null 2>&1 && echo 1 || echo 0)
%define is_ML5 %(grep -i "Asianux Server 3" /etc/asianux-release > /dev/null 2>&1 && echo 1 || echo 0)

%if %is_ML3
%define dist ML3
%endif
%if %is_ML4
%define dist ML4
%endif
%if %is_ML5
%define dist ML5
%endif

###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
Name:           zabbix
Version:        1.6.9
Release:        13%{?dist}
Summary:        Open-source monitoring solution for your IT infrastructure
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

Group:          Applications/Internet
License:        GPL
URL:            http://www.zabbix.com/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-server.init
Source3:        zabbix-agent.init
Source4:        zabbix-proxy.init
Source5:        zabbix-logrotate.in
Source6:        powered_by_miracle.png
Source7:        zabbix-1.6.7-ja_jp.inc.php
###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch3:         zabbix-1.6.6-locale-cn_zh.patch
#Patch4:         zabbix-1.6.4-frontend.patch
Patch6:         zabbix-1.6.6-date_format-cn_zh.patch
Patch7:         zabbix-1.6.5-copyright_year.patch
Patch9:         zabbix-1.6.8-graph_description.patch
#Patch10:        zabbix-1.6.4-localized_colors.patch
Patch11:        zabbix-1.6.4-trigger_cond_multibyte_param.patch
#Patch13:        zabbix-1.6.4-eventlog_acp_to_utf8.patch
Patch14:        zabbix-1.6.6-date_format-ko_kr.patch
#Patch15:        zabbix-1.6.4-locale-ja_jp.patch
Patch16:        zabbix-1.6.4-freeaddrinfo.patch
#Patch17:        zabbix-1.6.4-pdb_parse_counter_path.patch
Patch18:        zabbix-1.6.4-dm_swap.patch
#Patch19:        zabbix-1.6.4-eventlog_formatmessage_crash.patch
Patch20:        zabbix-1.6.4-datasql.patch
Patch21:        zabbix-1.6.6-powered_by_miracle.patch
Patch22:        zabbix-1.6.4-trigger_multibyte_expression.patch
Patch23:        zabbix-1.6.6-add_logrotated_file_support.patch
#Patch24:        zabbix-1.6.6-fix_processing_of_empty_log.patch
#Patch25:        zabbix-1.6.6-fix_processing_of_proc_info_function.patch
Patch26:        zabbix-1.6.6-fix_to_compile_visualstudio_proj.patch
Patch27:        zabbix-1.6.6-remove_broken_char.patch
Patch28:        zabbix-1.6.8-parentservice_translate.patch
Patch29:        zabbix-1.6.8-get_dbid.patch
Patch30:        zabbix-1.6.8-latest_data.patch
#Patch31:        zabbix-1.6.7-convert_to_utf8_log_extension.patch
Patch32:        zabbix-1.6.8-fix_count_str_function.patch
Patch33:        zabbix-1.6.8-map_label_location.patch
Patch34:        zabbix-1.6.8-map_color_frame.patch
Patch35:        zabbix-1.6.8-dbupgrade.patch
Patch36:        zabbix-1.6.9-convert_to_utf8_log_extension_with_extra_encoding.patch
Patch37:        zabbix-1.6.9-fix_event_time.patch
Patch38:        zabbix-1.6.8-event_filter_extension.patch
Patch39:        zabbix-1.6.9-item_key_len_max.patch
Patch40:        zabbix-1.6.9-app_act_or_dis.patch
Patch41:        zabbix-1.6.9-graphview_over372day.patch
Patch42:        zabbix-1.6.9-fix_vfsdev.patch
Patch43:        zabbix-1.6.9-sending_each_alert_for_logmonitoring.patch
Patch44:        zabbix-1.6.9-show_history_in_event.patch
Patch45:        zabbix-1.6.9-display_eventid_extension.patch
Patch46:        zabbix-1.6.9-support_new_windows_eventlog_system.patch
#Patch47:        zabbix-1.6.9-zbx2062_revert.patch
Patch48:        zabbix-1.6.9-hpux_compat.patch
Patch49:        zabbix-1.6.9-fix_timer_process.patch
Patch50:        zabbix-1.6.9-fix_for_aix61.patch
Patch51:        zabbix-1.6.9-fix_notsend_over1128byte_eventlog.patch
Patch52:        zabbix-1.6.9-fix_auto_increment.patch
Patch53:        zabbix-1.6.9-show_proxy_conf_sync.patch
Patch54:        zabbix-1.6.9-fix_not_case_sensitive_in_trigger_function.patch
Patch55:        zabbix-1.6.9-send_active_check_to_multi_server.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################
 

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %is_ML3 != 1
BuildRequires:   mysql-devel
BuildRequires:   postgresql-devel
BuildRequires:   net-snmp-devel
BuildRequires:   openldap-devel
BuildRequires:   gnutls-devel
BuildRequires:   iksemel-devel
BuildRequires:   curl-devel
BuildRequires:   unixODBC-devel
%if %is_ML5
BuildRequires:   OpenIPMI-devel
%endif
%endif

Requires:        logrotate
Requires(pre):   /usr/sbin/useradd

%description
ZABBIX is software that monitors numerous parameters of a
network and the health and integrity of servers. ZABBIX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. ZABBIX
offers excellent reporting and data visualisation features
based on the stored data. This makes ZABBIX ideal for
capacity planning.

ZABBIX supports both polling and trapping. All ZABBIX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, ZABBIX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%if %is_ML3 != 1
%package server
Summary:         Zabbix server common files
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires:        zabbix-server-implementation = %{version}-%{release}
Requires:        fping
Requires:	 net-snmp
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description server
Zabbix server common files

%package server-mysql
Summary:         Zabbix server compiled to use MySQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-server = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix <= 1.5.3-0.1
Conflicts:       zabbix-server-pgsql

%description server-mysql
Zabbix server compiled to use MySQL

%package server-pgsql
Summary:         Zabbix server compiled to use PostgresSQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-server = %{version}-%{release}
Provides:        zabbix-server-implementation = %{version}-%{release}
Conflicts:       zabbix-server-mysql

%description server-pgsql
Zabbix server compiled to use PostgresSQL
%endif

%package agent
Summary:         Zabbix Agent
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description agent
The Zabbix client agent, to be installed on monitored systems.

%if %is_ML3 != 1
%package proxy
Summary:         Zabbix Proxy
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires:        zabbix-proxy-implementation = %{version}-%{release}
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires:        fping

%description proxy
The Zabbix proxy

%package proxy-mysql
Summary:         Zabbix proxy compiled to use MySQL
Group:           Applications/Internet
Requires:	 zabbix-proxy = %{version}-%{release}
Provides:        zabbix-proxy-implementation = %{version}-%{release}

%description proxy-mysql
The Zabbix proxy compiled to use MySQL

%package proxy-pgsql
Summary:         Zabbix proxy compiled to use PostgreSQL
Group:           Applications/Internet
Requires:	 zabbix-proxy = %{version}-%{release}
Provides:        zabbix-proxy-implementation = %{version}-%{release}

%description proxy-pgsql
The Zabbix proxy compiled to use PostgreSQL

%package web
Summary:         Zabbix Web Frontend
Group:           Applications/Internet
Requires:        php
Requires:	 php-gd
Requires:	 php-bcmath
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-web-database = %{version}-%{release}

%description web
The php frontend to display the zabbix web interface.

%package web-mysql
Summary:         Zabbix web frontend for MySQL
Group:           Applications/Internet
Requires:	 zabbix-web = %{version}-%{release}
Requires:	 php-mysql
Provides:	 zabbix-web-database = %{version}-%{release}
Obsoletes:	 zabbix-web <= 1.5.3-0.1

%description web-mysql
Zabbix web frontend for MySQL

%package web-pgsql
Summary:         Zabbix web frontend for PostgreSQL
Group:           Applications/Internet
Requires:	 zabbix-web = %{version}-%{release}
Requires:	 php-pgsql
Provides:	 zabbix-web-database = %{version}-%{release}

%description web-pgsql
Zabbix web frontend for PostgreSQL
%endif

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup0 -q
%patch3 -p1 -b .locale.orig
#%patch4 -p1 -b .frontend.orig
%patch6 -p1 -b .date_format-cn_zh.orig
%patch7 -p1 -b .copyright.orig
%patch9 -p1 -b .graph.orig
#%patch10 -p1 -b .colors.orig
%patch11 -p1 -b .param.orig
#%patch13 -p1 -b .utf8.orig
%patch14 -p1 -b .date_format-ko_kr.orig
#%patch15 -p1 -b .locale-ja_jp.orig
%patch16 -p1 -b .freeaddrinfo.orig
#%patch17 -p1 -b .pdb_parse_counter_path.orig
%patch18 -p1 -b .dm_swap.orig
#%patch19 -p1 -b .eventlog_formatmessage_crash.orig
%patch20 -p1 -b .datasql.orig
%patch21 -p1 -b .powered_by_miracle.orig
%patch22 -p1 -b .trigger_multibyte_expression.orig
%patch23 -p1 -b .add_logrotated_file_support.orig
#%patch24 -p1 -b .fix_processing_of_empty_log.orig
#%patch25 -p1 -b .fix_processing_of_proc_info_function.orig
%patch26 -p1 -b .fix_to_compile_visualstudio_proj.orig
%patch27 -p1 -b .remove_broken_char.orig
%patch28 -p1 -b .parentservice_translate.patch
%patch29 -p1 -b .get_dbid.patch
%patch30 -p1 -b latest_data.patch
#%patch31 -p1 -b .convert_to_utf8_log_extension.orig
%patch32 -p1 -b .fix_count_str_function.orig
%patch33 -p1 -b .map_label_location.orig
%patch34 -p1 -b .map_color_frame.orig
%patch35 -p1 -b .dbupgrade.orig
%patch36 -p1 -b .convert_to_utf8_log_extension_with_extra_encoding.orig
%patch37 -p1 -b .fix_event_time.orig
%patch38 -p1 -b .event_filter_extension.orig
%patch39 -p1 -b .item_key_len_max.orig
%patch40 -p1 -b .1.6.9-app_act_or_dis.orig
%patch41 -p1 -b .graphview_over372day.orig
%patch42 -p1 -b .fix_vfsdev.orig
%patch43 -p1 -b .sending_each_alert_for_logmonitoring.orig
%patch44 -p1 -b .show_history_in_event.orig
%patch45 -p1 -b .display_eventid_extension.orig
%patch46 -p1 -b .support_new_windows_eventlog_system.orig
#%patch47 -p1 -b .zbx2062_revert.orig
%patch48 -p1 -b .hpux_compat.orig
%patch49 -p1 -b .fix_timer_process.orig
%patch50 -p1 -b .fix_for_aix61.orig
%patch51 -p1 -b .fix_notsend_over1128byte_eventlog.orig
%patch52 -p1 -b .fix_auto_increment.orig
%patch53 -p1 -b .show_proxy_conf_sync.orig
%patch54 -p1 -b .fix_not_case_sensitive_in_trigger_function.orig
%patch55 -p1 -b .send_active_check_to_multi_server.orig
###################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

cp %{SOURCE6} frontends/php/images/general/powered_by_miracle.png
rm frontends/php/include/locales/ja_jp.inc.php
cp %{SOURCE7} frontends/php/include/locales/ja_jp.inc.php

chmod -R a+rX .

# nuke erronious executable permissions
#chmod -x src/zabbix_agent/eventlog.c

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

%build

%if %is_ML3
%configure \
    --enable-agent \
    --enable-ipv6

make %{?_smp_mflags}

%else

%configure \
    --enable-server \
    --enable-agent \
    --enable-proxy \
    --enable-ipv6 \
    --with-mysql \
    --with-net-snmp \
    --with-ldap \
    --with-libcurl \
    --with-jabber \
    --with-unixodbc \
  %if %is_ML5
    --with-openipmi
  %endif

make %{?_smp_mflags}

mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql

%configure \
    --enable-server \
    --enable-agent \
    --enable-proxy \
    --enable-ipv6 \
    --with-pgsql \
    --with-net-snmp \
    --with-ldap \
    --with-libcurl \
    --with-jabber \
    --with-unixodbc \
  %if %is_ML5
    --with-openipmi
  %endif

make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql

touch src/zabbix_server/zabbix_server
touch src/zabbix_proxy/zabbix_proxy
%endif

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}

#rm create/Makefile*
#rm create/data/images_oracle.sql
#rm create/schema/oracle.sql
#rm -r upgrades/dbpatches/1.6/oracle

#pushd %{name}-%{version}-mysql
# php frontend
%if %is_ML3 != 1
find ./frontends/php -name '*.orig'|xargs rm -f
cp -a frontends/php $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/include/db.inc.php \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
ln -s ../../../..%{_sysconfdir}/%{name}/db.inc.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/include/db.inc.php
cat << __EOF__ >> $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix.conf.php
# This file is a place-holder. When you run through the zabbix
# web setup, a proper configuration file should be generated
# for you to drop in this location.
__EOF__
ln -s ../../../..%{_sysconfdir}/%{name}/zabbix.conf.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/zabbix.conf.php
# kill off .htaccess files, options set in SOURCE1
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/.htaccess
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/classes/.htaccess
%endif
# drop config files in place
install -m 0644 -p misc/conf/zabbix_agent.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat misc/conf/zabbix_agentd.conf | sed \
    -e 's|PidFile=.*|PidFile=%{_localstatedir}/run/zabbix/zabbix_agentd.pid|g' \
    -e 's|LogFile=.*|LogFile=%{_localstatedir}/log/zabbix/zabbix_agentd.log|g' \
    -e 's|#LogFileSize=.*|LogFileSize=0|g' \
    > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_agentd.conf
%if %is_ML3 != 1
cat misc/conf/zabbix_server.conf | sed \
    -e 's|PidFile=.*|PidFile=%{_localstatedir}/run/zabbix/zabbix.pid|g' \
    -e 's|LogFile=.*|LogFile=%{_localstatedir}/log/zabbix/zabbix_server.log|g' \
    -e 's|#LogFileSize=.*|LogFileSize=0|g' \
    -e 's|AlertScriptsPath=/home/zabbix/bin/|AlertScriptsPath=%{_localstatedir}/lib/zabbix/|g' \
    -e 's|DBUser=root|DBUser=zabbix|g' \
    -e 's|DBSocket=/tmp/mysql.sock|DBSocket=%{_localstatedir}/lib/mysql/mysql.sock|g' \
    > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_server.conf
cat misc/conf/zabbix_proxy.conf | sed \
    -e 's|PidFile=.*|PidFile=%{_localstatedir}/run/zabbix/zabbix_proxy.pid|g' \
    -e 's|LogFile=.*|LogFile=%{_localstatedir}/log/zabbix/zabbix_proxy.log|g' \
    -e 's|#LogFileSize=.*|LogFileSize=0|g' \
    -e 's|AlertScriptsPath=/home/zabbix/bin/|AlertScriptsPath=%{_localstatedir}/lib/zabbix/|g' \
    -e 's|DBUser=root|DBUser=zabbix|g' \
    -e 's|DBSocket=/tmp/mysql.sock|DBSocket=%{_localstatedir}/lib/mysql/mysql.sock|g' \
    > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_proxy.conf
%endif
# modified by Asianux(AXBug#4525)
#install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
cat %{SOURCE1} | sed 's/^/#/' > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
# log rotation
cat %{SOURCE5} | sed -e 's|COMPONENT|server|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
cat %{SOURCE5} | sed -e 's|COMPONENT|agentd|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
cat %{SOURCE5} | sed -e 's|COMPONENT|proxy|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
# init scripts
install -m 0755 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-server
install -m 0755 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-agent
install -m 0755 -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-proxy

# set up config dir

# install
make DESTDIR=$RPM_BUILD_ROOT install
%if %is_ML3 != 1
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
install -m 0755 -p src/zabbix_server/zabbix_server_* $RPM_BUILD_ROOT%{_sbindir}/
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* $RPM_BUILD_ROOT%{_sbindir}/
%endif

# nuke static libs and empty oracle upgrade sql
rm -rf $RPM_BUILD_ROOT%{_libdir}/libzbx*.a
# nuke extraneous sql files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/create

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "zabbix" user
/usr/sbin/useradd -c "Zabbix Monitoring System" \
        -s /sbin/nologin -r -d %{_localstatedir}/lib/%{name} zabbix 2> /dev/null || :

/bin/grep -i "Asianux Server 3" /etc/asianux-release > /dev/null 2>&1 && is_axs3=1 || is_axs3=0
if [ $is_axs3 -eq 1 ]; then
if [ ! -d /etc/axtu ]; then
mkdir /etc/axtu
echo "[blacklist-update]" > /etc/axtu/blacklist.conf
fi
/bin/grep -i "[blacklist-update]" /etc/axtu/blacklist.conf > /dev/null 2>&1 || echo "[blacklist-update]" >> /etc/axtu/blacklist.conf
while read line; do
/bin/grep -i "$line" /etc/axtu/blacklist.conf > /dev/null 2>&1 && line_exist=1 || line_exist=0
if [ $line_exist -eq 0 ]; then
sed -i "/\[blacklist-update\]/a $line" /etc/axtu/blacklist.conf
fi
done << EOF
zabbix = 0
zabbix-agent = 0
zabbix-server = 0
zabbix-server-mysql = 0
zabbix-server-pgsql = 0
zabbix-server-sqlite3 = 0
zabbix-proxy = 0
zabbix-proxy-mysql = 0
zabbix-proxy-pgsql = 0
zabbix-proxy-sqlite3 = 0
zabbix-web = 0
zabbix-web-mysql = 0
zabbix-web-pgsql = 0
zabbix-web-sqlite3 = 0
EOF
fi

%if %is_ML3 != 1
%post server
/sbin/chkconfig --add zabbix-server

%preun server
if [ "$1" = 0 ]
then
  /sbin/service zabbix-server stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-server
fi

%postun server
if [ "$1" -gt 1 ]
then
  /sbin/service zabbix-server condrestart >/dev/null 2>&1 || :
fi

%post proxy
/sbin/chkconfig --add zabbix-proxy

%preun proxy
if [ "$1" = 0 ]
then
  /sbin/service zabbix-proxy stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-proxy
fi

%postun proxy
if [ "$1" -gt 1 ]
then
  /sbin/service zabbix-proxy condrestart >/dev/null 2>&1 || :
fi
%endif

%post agent
/sbin/chkconfig --add zabbix-agent

%preun agent
if [ "$1" = 0 ]
then
  /sbin/service zabbix-agent stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
fi

%postun agent
if [ "$1" -gt 1 ]
then
  /sbin/service zabbix-agent condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix

%files agent
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent.conf
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agentd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
%{_sysconfdir}/init.d/zabbix-agent
%{_sbindir}/zabbix_agent
%{_sbindir}/zabbix_agentd
%{_sbindir}/zabbix_sender
%{_sbindir}/zabbix_get

%if %is_ML3 != 1
%files server
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%doc docs/*.pdf upgrades/dbpatches create/data create/schema
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%{_sysconfdir}/init.d/zabbix-server

%files server-mysql
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_mysql

%files server-pgsql
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_pgsql

%files proxy
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%{_sysconfdir}/init.d/zabbix-proxy

%files proxy-mysql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%{_sbindir}/zabbix_proxy_mysql

%files proxy-pgsql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%{_sbindir}/zabbix_proxy_pgsql

%files web
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/zabbix/zabbix.conf.php
%config(noreplace) %{_sysconfdir}/zabbix/db.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zabbix.conf
%{_datadir}/zabbix

%files web-mysql
%defattr(-,root,root,-)

%files web-pgsql
%defattr(-,root,root,-)
%endif

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Fri Feb 25 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-13%{?dist}
- Fix memory leak in timer process (Patch49)

* Mon Nov 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-12%{?dist}
- Fix Patch55 for supporting Windows (Patch55)
- Change Patch46 to fit Patch55 (Patch46)

* Mon Oct 25 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-11%{?dist}
- Recover auto_increment number in MySQL to fix stopping data sending in proxy (Patch52)
- Show message when the proxy conf synchronizes with server (Patch53)
- Fix returning same evaluated value if there are same regexp() setting with case insensitivity (Patch54)
- Enable to send active check to multi server (Patch55)
- Clean up some warning messages in build (Patch36, Patch42)

* Mon Oct 12 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-10%{?dist}
- Fix eventlog with over 1128 bytes is not sent on windows (Patch51)

* Fri Sep 17 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-9%{?dist}
- Fix compile error in AIX 6.1 (Patch50)
- Initial build for AIX 6.1

* Thu Aug 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-8%{?dist}
- remove Patch47 and readd Patch43
- Fix MAX_DISKDEVICES from 1024 to 256 in Patch42
- Fix the timer process so that it does not recalculate extraneous triggers for an item (Patch49)

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Thu May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Thu Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
